{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "  AABAA  ",
    " ACBDBCA ",
    "ACCEBECCA",
    "ACCAPACCA",
    "ACEAAAECA",
    "FGWASAZGF",
    "FGGA AGGF",
    "FGGF FGGF",
    " HH   HH "
  ],
  "key": {
    "A": {
      "item": "extendedcrafting:crystaltine_block"
    },
    "B": {
      "item": "extendedcrafting:flux_star_block"
    },
    "C": {
      "type": "forge:nbt",
      "item": "ironjetpacks:capacitor",
      "count": 1,
      "nbt": "{Id:\"ironjetpacks:netherite\"}"
    },
    "D": {
      "item": "extendedcrafting:ultimate_singularity"
    },
    "S": {
      "item": "ironjetpacks:strap"
    },
    "Z": {
      "item": "mekanism:module_electrolytic_breathing_unit"
    },
    "W": {
      "item": "mekanism:module_jetpack_unit"
    },
    "E": {
      "item": "ironjetpacks:ultimate_coil"
    },
    "P": {
      "type": "forge:nbt",
      "item": "mekanism:jetpack_armored",
      "count": 1,
      "nbt": "{mekData:{GasTanks:[{Tank:0b,stored:{amount:24000L,gasName:\"mekanism:hydrogen\"}}]}}"
    },
    "F": {
      "item": "minecraft:netherite_block"
    },
    "G": {
      "type": "forge:nbt",
      "item": "ironjetpacks:thruster",
      "count": 1,
      "nbt": "{Id:\"ironjetpacks:netherite\"}"
    },
    "H": {
      "item": "extendedcrafting:luminessence_block"
    }
  },
  "result": {
    "type": "forge:nbt",
    "item": "ironjetpacks:jetpack",
    "count": 1,
    "nbt": "{Id:\"ironjetpacks:creative\",Throttle:1.0d}"
  }
}